@import "../../mixin.scss";

.editorContainer {
  @include spaceBetween;
  width: 100%;
  margin-top: 20px;
  border: 1px solidr #000000;
  border-radius: 5px;
}

.playground {
  width: 40%;
  background-color: #1E1E2C;
}

.codeEditor {
  height: 33.33%;
  overflow: hidden;
  position: relative;
}

.editorHeader {
  height: 30px;
  content: attr(title);
  display: flex;
  align-items: center;
  padding-left: 20px;
  font-size: 18px;
  color: #fafafa;
}

.reactCodemirror2 {
  max-height: calc(100% - 30px);
  overflow: auto;
}

.result {
  width: 60%;
  height: 100%;
  overflow: hidden;
  background-color: #c5c5c5;
  padding: 20px;
}

.iframe {
  width: 100%;
  height: 100%;
  border: transparent;
}